%define LIBMAJ 	2
%define libname %mklibname %name %LIBMAJ
%define develname %mklibname %name -d
%define sdevelname %mklibname %name -d -s

Name: 		unixODBC
Version: 	2.3.1
Release:	%mkrel 1
Group: 		Databases
Summary: 	Unix ODBC driver manager and database drivers
License: 	GPLv2+ and LGPLv2+
URL: 		http://www.unixODBC.org/
Source0:	http://www.unixodbc.org/%{name}-%{version}.tar.gz
BuildRequires:	bison 
BuildRequires:	flex 
BuildRequires:	readline-devel 
BuildRequires:	byacc
BuildRequires:	libltdl-devel

%description
UnixODBC is a free/open specification for providing application developers 
with a predictable API with which to access Data Sources. Data Sources include 
SQL Servers and any Data Source with an ODBC Driver.

%package -n	%{libname}
Summary:	Libraries unixODBC 
Group:		System/Libraries
Obsoletes:	%{_lib}unixODBC1 < 2.3.1

%description -n	%{libname}
unixODBC  libraries.

%package -n	%{develname}
Summary: 	Includes and shared libraries for ODBC development
Group: 		Development/Other
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC1-devel < %{version}-%{release}

%description -n	%{develname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and shared libraries for development.

%package -n	%{sdevelname}
Summary: 	Static libraries for ODBC development
Group: 		Development/Other
Requires: 	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC1-static-devel < %{version}-%{release}

%description -n	%{sdevelname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains static libraries for development.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
  --with-included-ltdl=no \
  --with-ltdl-include=%{_includedir} \
  --with-ltdl-lib=%{_libdir} \
  --enable-static \
  --enable-drivers
%make

%install
%makeinstall_std

%multiarch_binaries %buildroot/%_bindir/odbc_config

rm -f %{buildroot}%{_libdir}/*.la

%files 
%doc AUTHORS INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%dir %{_sysconfdir}/ODBCDataSources
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/odbcinst
%{_bindir}/iusql
	  
%files -n %{libname}
%_libdir/libodbc.so.%{LIBMAJ}*
%_libdir/libodbccr.so.%{LIBMAJ}*
%_libdir/libodbcinst.so.%{LIBMAJ}*
%_libdir/libnn.so.*
%_libdir/libtemplate.so.*
%_libdir/libodbcpsql.so.2
%_libdir/libodbcpsql.so.2.*

%files -n %{develname}
%doc doc/
%_bindir/odbc_config
%{_includedir}/*
%{_libdir}/lib*.so
%multiarch %_bindir/%multiarch_platform/odbc_config

%files -n %{sdevelname}
%{_libdir}/*.a


%changelog

* Thu Dec 08 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 178828
- use autoreconf
- new version 2.3.1

  + ahmad <ahmad>
    - imported package unixODBC

